Open main menu

Help:Extension:Translate/Installatie

This page is a translated version of the page Help:Extension:Translate/Installation and the translation is 62% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎Deutsch (Sie-Form)‎ • ‎English • ‎Kiswahili • ‎Lëtzebuergesch • ‎Nederlands • ‎Türkçe • ‎Zazaki • ‎català • ‎dansk • ‎español • ‎français • ‎italiano • ‎lietuvių • ‎polski • ‎português • ‎português do Brasil • ‎slovenčina • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎العربية • ‎हिन्दी • ‎বাংলা • ‎中文 • ‎日本語 • ‎한국어

De vertaalextensie heeft, door updates die regelmatig uitkomen, een vrij recente versie van MediaWiki nodig om te kunnen werken. De bedoeling is om de twee recentste versies en de ontwikkelingsversie van MediaWiki te ondersteunen. In pakketbeheerders kan de versie te oud zijn om te voldoen aan de vereisten. In dat geval moet je een recentere versie vanaf mediawiki.org of van de Git repository van Wikimedia downloaden.

De vertaalextensie gebruikt een model van doorgaande ontwikkeling, wat betekent dat we geen nieuwe versies uitgeven. Wij raden u aan om de laatste versie te downloaden via de Git repository van Wikimedia en regelmatig te updaten om nieuwe functies en bugfixes te ontvangen. De kern waarop deze extensie draait is aardig stabiel maar er kunnen grotere veranderingen zijn van tijd tot tijd. Deze worden beschreven in een bestand met de naam README in map van de extensie. Alle veranderingen in de code van de vertaalextensie worden eerst nagekeken en daarom is de ontwikkelingstak bijna altijd klaar voor gebruik in een draaiende MediaWiki installatie

Vereisten

De volgende software is nodig om deze extensie te installeren:

  1. Een recente versie van MediaWiki
  2. MySQL database of SQLite (experimenteel)
  3. De Universele Taal Selector extensie (bijgevoegd in de MediaWiki Taal Extensie Bundel)
  4. (optioneel) PHPlot voor grafieken van de vertaalstatistieken
  5. (optioneel) Syck of phpyaml voor snellere en betere verwerking en generering van YAML
  6. (optioneel) ElasticSearch voor geavanceerde zoekmogelijkheden en vertaalgeheugen
  7. (optioneel) Internettoegang op de server voor machinevertalingen
PHP must be installed with the curl module to allow for the translation suggestion feature.

MediaWiki needs to have the job queue set up correctly. If your job queue is not processed, nothing will work in Translate.

Daarnaast is er ook shelltoegang nodig om onderhoudsscripts te draaien

Het gebruik van memcached voor caching en het gebruik van de APC PHP accelerator is aan te raden in een productieomgeving.

Installatie-instructies

See MediaWiki Language Extension Bundle for download links and instructions. The bundle includes a couple of more extensions commonly used together with Translate extension. It also includes an useful default configuration to get you started.

Nadat je deze regel hebt gedraaid is het mogelijk om instellingen toe te voegen die nieuwe functies inschakelen of het werken van extensie veranderd. Zie de configuratiepagina voor een beschrijving van deze instellingen.